<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
    	
    <storageModule moduleId="org.eclipse.cdt.core.settings">
        		
        <cconfiguration id="xilinx.gnu.mb.exe.debug.509855263">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="xilinx.gnu.mb.exe.debug.509855263" moduleId="org.eclipse.cdt.core.settings" name="Debug">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="com.xilinx.sdk.managedbuilder.XELF.mb" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="xilinx.gnu.mb.exe.debug.509855263" name="Debug" parent="xilinx.gnu.mb.exe.debug">
                    					
                    <folderInfo id="xilinx.gnu.mb.exe.debug.509855263." name="/" resourcePath="">
                        						
                        <toolChain id="xilinx.gnu.mb.exe.debug.toolchain.1694057845" name="Xilinx MicroBlaze GNU Toolchain" superClass="xilinx.gnu.mb.exe.debug.toolchain">
                            							
                            <targetPlatform binaryParser="com.xilinx.sdk.managedbuilder.XELF.mb" id="xilinx.mb.target.gnu.base.debug.407511367" isAbstract="false" name="Debug Platform" superClass="xilinx.mb.target.gnu.base.debug"/>
                            							
                            <builder buildPath="${workspace_loc:/pmu_firmware}/Debug" enableAutoBuild="true" id="xilinx.gnu.mb.toolchain.builder.debug.1544570702" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="GNU make" superClass="xilinx.gnu.mb.toolchain.builder.debug"/>
                            							
                            <tool id="xilinx.gnu.mb.c.toolchain.assembler.debug.963307039" name="MicroBlaze gcc assembler" superClass="xilinx.gnu.mb.c.toolchain.assembler.debug">
                                								
                                <option id="xilinx.gnu.mb.assembler.usele.1771296047" name="Produce little endian code (-mlittle-endian)" superClass="xilinx.gnu.mb.assembler.usele" value="true" valueType="boolean"/>
                                								
                                <inputType id="xilinx.gnu.assembler.input.465779349" superClass="xilinx.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.c.toolchain.compiler.debug.1145435409" name="MicroBlaze gcc compiler" superClass="xilinx.gnu.mb.c.toolchain.compiler.debug">
                                								
                                <option defaultValue="gnu.c.optimization.level.none" id="xilinx.gnu.compiler.option.optimization.level.520873669" name="Optimization Level" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.928786367" name="Debug Level" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.mbversion.2060073066" name="MicroBlaze Version" superClass="xilinx.gnu.mb.compiler.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.norelax.1263182137" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.compiler.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.garbage.1667245778" name="Enable garbage collector (-ffunction-sections -fdata-sections)" superClass="xilinx.gnu.mb.compiler.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usele.364178053" name="Produce little endian code (-mlittle-endian)" superClass="xilinx.gnu.mb.compiler.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usebarrel.218156150" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.compiler.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usepcmp.642086943" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.compiler.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.1840890966" name="Software Platform Include Path" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspInclude}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.flags.1177394424" name="Software Platform Inferred Flags" superClass="xilinx.gnu.compiler.inferred.swplatform.flags" value="   " valueType="string"/>
                                								
                                <option id="xilinx.gnu.compiler.misc.other.1660203320" name="Other flags" superClass="xilinx.gnu.compiler.misc.other" value="-c -fmessage-length=0 -MT&quot;$@&quot; -Os -flto -ffat-lto-objects" valueType="string"/>
                                								
                                <option id="xilinx.gnu.compiler.symbols.defined.1387137622" superClass="xilinx.gnu.compiler.symbols.defined" useByScannerDiscovery="false" valueType="definedSymbols">
                                    									
                                    <listOptionValue builtIn="false" value="ENABLE_EM"/>
                                    									
                                    <listOptionValue builtIn="false" value="ENABLE_SCHEDULER"/>
                                    									
                                    <listOptionValue builtIn="false" value="XPU_INTR_DEBUG_PRINT_ENABLE"/>
                                    									
                                    <listOptionValue builtIn="false" value="XPFW_DEBUG_DETAILED"/>
                                    								
                                </option>
                                								
                                <inputType id="xilinx.gnu.compiler.input.938422774" name="C source files" superClass="xilinx.gnu.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.cxx.toolchain.compiler.debug.1550885567" name="MicroBlaze g++ compiler" superClass="xilinx.gnu.mb.cxx.toolchain.compiler.debug">
                                								
                                <option defaultValue="gnu.c.optimization.level.none" id="xilinx.gnu.compiler.option.optimization.level.2085538090" name="Optimization Level" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.1314220236" name="Debug Level" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.mbversion.540640879" name="MicroBlaze Version" superClass="xilinx.gnu.mb.compiler.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.norelax.1313876847" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.compiler.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.garbage.872635746" name="Enable garbage collector (-ffunction-sections -fdata-sections)" superClass="xilinx.gnu.mb.compiler.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usele.156090576" name="Produce little endian code (-mlittle-endian)" superClass="xilinx.gnu.mb.compiler.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usebarrel.432093220" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.compiler.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usepcmp.736439965" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.compiler.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.1511854618" name="Software Platform Include Path" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspInclude}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.flags.340225161" name="Software Platform Inferred Flags" superClass="xilinx.gnu.compiler.inferred.swplatform.flags" value="   " valueType="string"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.toolchain.archiver.1366331911" name="MicroBlaze archiver" superClass="xilinx.gnu.mb.toolchain.archiver"/>
                            							
                            <tool id="xilinx.gnu.mb.c.toolchain.linker.debug.521722482" name="MicroBlaze gcc linker" superClass="xilinx.gnu.mb.c.toolchain.linker.debug">
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.mbversion.876870372" name="MicroBlaze Version" superClass="xilinx.gnu.mb.linker.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.norelax.991919053" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.linker.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.garbage.693061909" name="Enable garbage collector (-Wl,--gc-sections)" superClass="xilinx.gnu.mb.linker.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usele.1614350824" name="Produce little endian artifacts (-mlittle-endian)" superClass="xilinx.gnu.mb.linker.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usebarrel.1395732245" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.linker.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usepcmp.97426860" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.linker.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.511827416" name="Software Platform Library Path" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.1483476534" name="Software Platform Inferred Flags" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilfpga,-lxil,-lxilsecure,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilsecure,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilskey,-lxil,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.1853172660" name="Linker Script" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                								
                                <option id="xilinx.gnu.c.link.option.nostart.1693462132" name="Do not use standard start files (-nostartfiles)" superClass="xilinx.gnu.c.link.option.nostart" value="true" valueType="boolean"/>
                                								
                                <inputType id="xilinx.gnu.linker.input.1807200224" superClass="xilinx.gnu.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                								
                                <inputType id="xilinx.gnu.linker.input.lscript.1705873981" name="Linker Script" superClass="xilinx.gnu.linker.input.lscript"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.cxx.toolchain.linker.debug.732801127" name="MicroBlaze g++ linker" superClass="xilinx.gnu.mb.cxx.toolchain.linker.debug">
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.mbversion.1762279296" name="MicroBlaze Version" superClass="xilinx.gnu.mb.linker.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.norelax.149810783" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.linker.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.garbage.376789598" name="Enable garbage collector (-Wl,--gc-sections)" superClass="xilinx.gnu.mb.linker.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usele.1541104910" name="Produce little endian artifacts (-mlittle-endian)" superClass="xilinx.gnu.mb.linker.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usebarrel.663484753" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.linker.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usepcmp.221069988" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.linker.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.158314718" name="Software Platform Library Path" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.2099502348" name="Software Platform Inferred Flags" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilfpga,-lxil,-lxilsecure,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilsecure,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilskey,-lxil,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.1909138379" name="Linker Script" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.size.debug.1938738695" name="MicroBlaze Print Size" superClass="xilinx.gnu.mb.size.debug"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    				
                </configuration>
                			
            </storageModule>
            			
            <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
            		
        </cconfiguration>
        		
        <cconfiguration id="xilinx.gnu.mb.exe.release.103985334">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="xilinx.gnu.mb.exe.release.103985334" moduleId="org.eclipse.cdt.core.settings" name="Release">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="com.xilinx.sdk.managedbuilder.XELF.mb" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="rm -rf" description="" id="xilinx.gnu.mb.exe.release.103985334" name="Release" parent="xilinx.gnu.mb.exe.release">
                    					
                    <folderInfo id="xilinx.gnu.mb.exe.release.103985334." name="/" resourcePath="">
                        						
                        <toolChain id="xilinx.gnu.mb.exe.release.toolchain.421752530" name="Xilinx MicroBlaze GNU Toolchain" superClass="xilinx.gnu.mb.exe.release.toolchain">
                            							
                            <targetPlatform binaryParser="com.xilinx.sdk.managedbuilder.XELF.mb" id="xilinx.mb.target.gnu.base.release.90514315" isAbstract="false" name="Debug Platform" superClass="xilinx.mb.target.gnu.base.release"/>
                            							
                            <builder buildPath="${workspace_loc:/pmu_firmware}/Release" enableAutoBuild="true" id="xilinx.gnu.mb.toolchain.builder.release.101168785" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="GNU make" superClass="xilinx.gnu.mb.toolchain.builder.release"/>
                            							
                            <tool id="xilinx.gnu.mb.c.toolchain.assembler.release.733396045" name="MicroBlaze gcc assembler" superClass="xilinx.gnu.mb.c.toolchain.assembler.release">
                                								
                                <option id="xilinx.gnu.mb.assembler.usele.756942612" name="Produce little endian code (-mlittle-endian)" superClass="xilinx.gnu.mb.assembler.usele" value="true" valueType="boolean"/>
                                								
                                <inputType id="xilinx.gnu.assembler.input.1055956584" superClass="xilinx.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.c.toolchain.compiler.release.1334380970" name="MicroBlaze gcc compiler" superClass="xilinx.gnu.mb.c.toolchain.compiler.release">
                                								
                                <option defaultValue="gnu.c.optimization.level.more" id="xilinx.gnu.compiler.option.optimization.level.334962231" name="Optimization Level" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.659769189" name="Debug Level" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.none" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.mbversion.33778821" name="MicroBlaze Version" superClass="xilinx.gnu.mb.compiler.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.norelax.598531168" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.compiler.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.garbage.1387965429" name="Enable garbage collector (-ffunction-sections -fdata-sections)" superClass="xilinx.gnu.mb.compiler.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usele.953214910" name="Produce little endian code (-mlittle-endian)" superClass="xilinx.gnu.mb.compiler.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usebarrel.1601950597" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.compiler.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usepcmp.1866705637" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.compiler.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.1973354700" name="Software Platform Include Path" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspInclude}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.flags.2076623133" name="Software Platform Inferred Flags" superClass="xilinx.gnu.compiler.inferred.swplatform.flags" value="   " valueType="string"/>
                                								
                                <option id="xilinx.gnu.compiler.misc.other.820739334" name="Other flags" superClass="xilinx.gnu.compiler.misc.other" value="-c -fmessage-length=0 -MT&quot;$@&quot; -Os -flto -ffat-lto-objects" valueType="string"/>
                                								
                                <inputType id="xilinx.gnu.compiler.input.1509465023" name="C source files" superClass="xilinx.gnu.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.cxx.toolchain.compiler.release.466795818" name="MicroBlaze g++ compiler" superClass="xilinx.gnu.mb.cxx.toolchain.compiler.release">
                                								
                                <option defaultValue="gnu.c.optimization.level.more" id="xilinx.gnu.compiler.option.optimization.level.2081145453" name="Optimization Level" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.2038011364" name="Debug Level" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.none" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.mbversion.1888998015" name="MicroBlaze Version" superClass="xilinx.gnu.mb.compiler.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.norelax.1645925583" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.compiler.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.garbage.728060514" name="Enable garbage collector (-ffunction-sections -fdata-sections)" superClass="xilinx.gnu.mb.compiler.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usele.212737684" name="Produce little endian code (-mlittle-endian)" superClass="xilinx.gnu.mb.compiler.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usebarrel.1606925659" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.compiler.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.compiler.inferred.usepcmp.909208748" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.compiler.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.228476833" name="Software Platform Include Path" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspInclude}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.flags.453681622" name="Software Platform Inferred Flags" superClass="xilinx.gnu.compiler.inferred.swplatform.flags" value="   " valueType="string"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.toolchain.archiver.1393636099" name="MicroBlaze archiver" superClass="xilinx.gnu.mb.toolchain.archiver"/>
                            							
                            <tool id="xilinx.gnu.mb.c.toolchain.linker.release.764118560" name="MicroBlaze gcc linker" superClass="xilinx.gnu.mb.c.toolchain.linker.release">
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.mbversion.951413372" name="MicroBlaze Version" superClass="xilinx.gnu.mb.linker.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.norelax.2125635662" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.linker.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.garbage.1742955833" name="Enable garbage collector (-Wl,--gc-sections)" superClass="xilinx.gnu.mb.linker.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usele.1696301873" name="Produce little endian artifacts (-mlittle-endian)" superClass="xilinx.gnu.mb.linker.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usebarrel.226084892" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.linker.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usepcmp.1053074297" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.linker.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.1249759672" name="Software Platform Library Path" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.458902456" name="Software Platform Inferred Flags" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilfpga,-lxil,-lxilsecure,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilsecure,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilskey,-lxil,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.1582649870" name="Linker Script" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                								
                                <option id="xilinx.gnu.c.link.option.nostart.1151393423" name="Do not use standard start files (-nostartfiles)" superClass="xilinx.gnu.c.link.option.nostart" value="true" valueType="boolean"/>
                                								
                                <inputType id="xilinx.gnu.linker.input.1148845075" superClass="xilinx.gnu.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                								
                                <inputType id="xilinx.gnu.linker.input.lscript.403452072" name="Linker Script" superClass="xilinx.gnu.linker.input.lscript"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.cxx.toolchain.linker.release.1829766908" name="MicroBlaze g++ linker" superClass="xilinx.gnu.mb.cxx.toolchain.linker.release">
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.mbversion.341208406" name="MicroBlaze Version" superClass="xilinx.gnu.mb.linker.inferred.mbversion" value="9.2" valueType="string"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.norelax.234542366" name="No relaxation (-Wl,--no-relax)" superClass="xilinx.gnu.mb.linker.inferred.norelax" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.garbage.239509459" name="Enable garbage collector (-Wl,--gc-sections)" superClass="xilinx.gnu.mb.linker.inferred.garbage" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usele.289892062" name="Produce little endian artifacts (-mlittle-endian)" superClass="xilinx.gnu.mb.linker.inferred.usele" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usebarrel.300090683" name="Use Barrel Shifter (-mxl-barrel-shift)" superClass="xilinx.gnu.mb.linker.inferred.usebarrel" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.mb.linker.inferred.usepcmp.1027333739" name="Use Pattern Compare (-mxl-pattern-compare)" superClass="xilinx.gnu.mb.linker.inferred.usepcmp" value="true" valueType="boolean"/>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.1729825337" name="Software Platform Library Path" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=pmu_firmware,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.2058663915" name="Software Platform Inferred Flags" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilfpga,-lxil,-lxilsecure,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilsecure,-lxil,-lgcc,-lc,--end-group"/>
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxilskey,-lxil,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.848757913" name="Linker Script" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.mb.size.release.196879272" name="MicroBlaze Print Size" superClass="xilinx.gnu.mb.size.release"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    				
                </configuration>
                			
            </storageModule>
            			
            <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
            		
        </cconfiguration>
        	
    </storageModule>
    	
    <storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
    	
    <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        		
        <project id="pmu_firmware.xilinx.gnu.mb.exe.1013494329" name="Xilinx MicroBlaze Executable" projectType="xilinx.gnu.mb.exe"/>
        	
    </storageModule>
    	
    <storageModule moduleId="scannerConfiguration">
        		
        <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.mb.exe.release.103985334;xilinx.gnu.mb.exe.release.103985334.">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.MBGCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.mb.exe.debug.509855263;xilinx.gnu.mb.exe.debug.509855263.;xilinx.gnu.mb.c.toolchain.compiler.debug.1145435409;xilinx.gnu.compiler.input.938422774">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.MBGCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.mb.exe.release.103985334;xilinx.gnu.mb.exe.release.103985334.;xilinx.gnu.mb.c.toolchain.compiler.release.1334380970;xilinx.gnu.compiler.input.1509465023">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.MBGCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.mb.exe.debug.509855263;xilinx.gnu.mb.exe.debug.509855263.">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.MBGCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        	
    </storageModule>
    	
    <storageModule moduleId="refreshScope"/>
    
</cproject>
